Page MenuHomePhabricator

s5 wikidatawiki database cleanup
Closed, ResolvedPublic

Description

wikidatawiki was migrated from s5 to s8 T177208

We need to do some cleanup after the failover, once we are confident everything is ok:

  • Remove wikidatawiki tables and database from s5 master
  • Remove wikidatawiki tables and database from all s5 production replicas
    • dbstore2001
    • db2089
    • db2084
    • db2075
    • db2038
    • db2059
    • db2066
    • db2052
    • db1082
    • db1096
    • db1097
    • db1100
    • db1106
    • db1110
    • db1051
  • Remove dewiki tables and database from s8 master
  • Remove dewiki tables and database from all s8 production replicas
    • dbstore2001
    • db2086
    • db2085
    • db2083
    • db2082
    • db2081
    • db2080
    • db2079
    • db2045
    • db1109
    • db1104
    • db1101
    • db1099
    • db1092
    • db1087
  • Remove wikidatawiki tables and database from dbstore2001:s5
  • Remove dewiki tables and database from dbstore2001:s8

Anything else?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Repool db1087
operations/mediawiki-config : masterdb-eqiad.php: Repool db1092, depool db1087
operations/mediawiki-config : masterdb-eqiad.php: Repool db1099:3318, depool db1092
operations/mediawiki-config : masterdb-eqiad.php: Repool db1101:3318, depool db1099
operations/mediawiki-config : masterdb-eqiad.php: Repool db1104, depool db1101:3318
operations/mediawiki-config : masterdb-eqiad.php: Fully repool db1109, depool db1104
operations/mediawiki-config : masterdb-eqiad.php: Depool db1109
operations/mediawiki-config : masterdb-eqiad.php: Depool db1051
operations/mediawiki-config : masterdb-eqiad.php: Depool db1110
operations/mediawiki-config : masterdb-eqiad.php: Depool db1106
operations/mediawiki-config : masterdb-eqiad.php: Depool db1100
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3315
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3315

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2018, 11:29 AM

Mentioned in SAL (#wikimedia-operations) [2018-01-10T14:34:41Z] <jynus> dropping wikidatawiki from dbstore2001:3315 T184599

Mentioned in SAL (#wikimedia-operations) [2018-01-10T14:50:04Z] <jynus> dropping dewiki from dbstore2001:3318 T184599

Marostegui updated the task description. (Show Details)Jan 10 2018, 3:38 PM
Marostegui moved this task from Triage to In progress on the DBA board.Jan 10 2018, 3:41 PM
jcrespo updated the task description. (Show Details)Jan 10 2018, 4:26 PM
Marostegui triaged this task as Medium priority.

Mentioned in SAL (#wikimedia-operations) [2018-02-05T12:17:53Z] <marostegui> Drop old and renamed wikidata tables from s5 master (db1070) - T184599

Mentioned in SAL (#wikimedia-operations) [2018-02-05T12:20:37Z] <marostegui> Drop empty wikidata database from s5 master (db1070) - T184599

Marostegui updated the task description. (Show Details)Feb 5 2018, 12:22 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-05T13:20:09Z] <marostegui> Rename dewiki tables on s8 master (db1071 - with no replication) before dropping them - T184599

Marostegui updated the task description. (Show Details)Feb 5 2018, 3:37 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-05T16:03:37Z] <marostegui> Renaming wikidata tables on s5 on codfw - T184599

Mentioned in SAL (#wikimedia-operations) [2018-02-05T16:10:28Z] <marostegui> Renaming wikidata tables on s5 on eqiad - T184599

I have renamed wikidata tables on s5 on all the replicas in both, eqiad and codfw.
Tomorrow I will drop them if no errors arise.

Mentioned in SAL (#wikimedia-operations) [2018-02-07T13:16:10Z] <marostegui> Drop wikidata tables and database from s5 codfw hosts - T184599

Marostegui updated the task description. (Show Details)Feb 7 2018, 1:31 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-08T11:00:00Z] <marostegui> Drop wikidata renamed tables and database from s5 eqiad hosts - T184599

Change 408994 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1096:3315

https://gerrit.wikimedia.org/r/408994

Change 408994 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1096:3315

https://gerrit.wikimedia.org/r/408994

Mentioned in SAL (#wikimedia-operations) [2018-02-08T11:26:28Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1096:3315 - T184599 (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2018-02-08T11:42:11Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1096:3315 - T184599 (duration: 01m 11s)

Change 408998 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3315

https://gerrit.wikimedia.org/r/408998

Change 408998 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3315

https://gerrit.wikimedia.org/r/408998

Mentioned in SAL (#wikimedia-operations) [2018-02-08T11:52:58Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1097:3315 - T184599 (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2018-02-08T11:59:46Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1097:3315 - T184599 (duration: 01m 11s)

Change 409001 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1100

https://gerrit.wikimedia.org/r/409001

Change 409001 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1100

https://gerrit.wikimedia.org/r/409001

Mentioned in SAL (#wikimedia-operations) [2018-02-08T12:08:03Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1100 - T184599 (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2018-02-08T12:14:09Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1100 - T184599 (duration: 01m 11s)

Change 409005 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/409005

Change 409005 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/409005

Mentioned in SAL (#wikimedia-operations) [2018-02-08T12:19:22Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1106 - T184599 (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2018-02-08T12:43:04Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1106 - T184599 (duration: 01m 11s)

Change 409011 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1110

https://gerrit.wikimedia.org/r/409011

Change 409011 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1110

https://gerrit.wikimedia.org/r/409011

Mentioned in SAL (#wikimedia-operations) [2018-02-08T12:50:05Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1110 - T184599 (duration: 01m 11s)

Change 409013 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1051

https://gerrit.wikimedia.org/r/409013

Mentioned in SAL (#wikimedia-operations) [2018-02-08T13:03:16Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1110 - T184599 (duration: 01m 11s)

Change 409013 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1051

https://gerrit.wikimedia.org/r/409013

Mentioned in SAL (#wikimedia-operations) [2018-02-08T13:09:15Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1051 - T184599 (duration: 01m 11s)

Marostegui updated the task description. (Show Details)Feb 8 2018, 1:12 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-08T13:15:39Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1051 - T184599 (duration: 01m 12s)

Mentioned in SAL (#wikimedia-operations) [2018-02-08T13:41:06Z] <marostegui> Drop dewiki already renamed tables and database on s8 master (db1071) - T184599

dewiki tables and database has been dropped from s8 master (db1071) - tables were renamed already for a few days.

Marostegui updated the task description. (Show Details)Feb 8 2018, 1:51 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-08T13:54:49Z] <marostegui> Rename dewiki tables on s8 slaves - T184599

I have renamed dewiki tables on s8 hosts. Will leave them like that and drop them on Monday.

Mentioned in SAL (#wikimedia-operations) [2018-02-12T06:40:38Z] <marostegui> Drop dewiki database from s8 servers - T184599

Marostegui updated the task description. (Show Details)Feb 12 2018, 6:46 AM

Change 409732 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/409732

Change 409732 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/409732

Mentioned in SAL (#wikimedia-operations) [2018-02-12T06:53:13Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1109 - T184599 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-02-12T07:05:27Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Slowly repool db1109 - T184599 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-02-12T07:20:48Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Increase traffic for db1109 - T184599 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-02-12T07:35:16Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Increase traffic for db1109 - T184599 (duration: 00m 55s)

Change 409744 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Fully repool db1109, depool db1104

https://gerrit.wikimedia.org/r/409744

Change 409744 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Fully repool db1109, depool db1104

https://gerrit.wikimedia.org/r/409744

Mentioned in SAL (#wikimedia-operations) [2018-02-12T07:49:23Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Fully repool db1109, depool db1104 - T184599 (duration: 00m 55s)

Change 409753 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1104, depool db1101:3318

https://gerrit.wikimedia.org/r/409753

Change 409753 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1104, depool db1101:3318

https://gerrit.wikimedia.org/r/409753

Mentioned in SAL (#wikimedia-operations) [2018-02-12T08:05:20Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1104, depool db1101:3318 - T184599 (duration: 00m 55s)

Change 409760 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1101:3318, depool db1099

https://gerrit.wikimedia.org/r/409760

Change 409760 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1101:3318, depool db1099

https://gerrit.wikimedia.org/r/409760

Mentioned in SAL (#wikimedia-operations) [2018-02-12T08:14:46Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1101:3318, depool db1099:3318 - T184599 (duration: 00m 55s)

Change 409761 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1099:3318, depool db1092

https://gerrit.wikimedia.org/r/409761

Change 409761 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1099:3318, depool db1092

https://gerrit.wikimedia.org/r/409761

Mentioned in SAL (#wikimedia-operations) [2018-02-12T08:25:29Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1099:3318, depool db1092 - T184599 (duration: 00m 55s)

Change 409811 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1092, depool db1087

https://gerrit.wikimedia.org/r/409811

Change 409811 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1092, depool db1087

https://gerrit.wikimedia.org/r/409811

Mentioned in SAL (#wikimedia-operations) [2018-02-12T08:34:34Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1092, depool db1087 - T184599 (duration: 00m 55s)

Change 409812 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1087

https://gerrit.wikimedia.org/r/409812

Marostegui updated the task description. (Show Details)Feb 12 2018, 8:36 AM

Change 409812 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1087

https://gerrit.wikimedia.org/r/409812

Marostegui updated the task description. (Show Details)Feb 12 2018, 8:49 AM

Mentioned in SAL (#wikimedia-operations) [2018-02-12T08:50:18Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1087 - T184599 (duration: 00m 55s)

Marostegui closed this task as Resolved.Feb 12 2018, 8:50 AM

This is all done

238482n375 removed Marostegui as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 lowered the priority of this task from Medium to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 2:05 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".